cancel
Showing results for 
Search instead for 
Did you mean: 

Patch PHSS_33033

 
SOLVED
Go to solution
porwaa
Advisor

Patch PHSS_33033

I have learnt @ http://h21007.www2.hp.com/portal/site/dspp/menuitem.863c3e4cbcdc3f3515b49c108973a801?ciid=2a08725cc2f02110725cc2f02110275d6e10RCRD
that the linker patch PHSS_33033 is required to compile C++ programs. My compilation with gcc is fine but there is a runtime crash. How do I know that this patch is installed on the *test* system? The command swlist does not mention so?
3 REPLIES
Suraj K Sankari
Honored Contributor

Re: Patch PHSS_33033

Hi,

New patch is aviable for PHSS_3303 is PHSS_39077

See this link

http://www11.itrc.hp.com/service/patch/search.do

Suraj
Robert-Jan Goossens
Honored Contributor
Solution

Re: Patch PHSS_33033

Hi,

# swlist -l patch | grep PHSS_33033

Regards,
Robert-Jan
Dennis Handly
Acclaimed Contributor

Re: Patch PHSS_33033

>the linker patch PHSS_33033 is required to compile g++ programs.

The documentation is incorrect. It either means to link g++ programs or to run them.

>there is a runtime crash. How do I know that this patch is installed on the *test* system?

I assume this is related to your other threads on abort in RB tree:
http://forums.itrc.hp.com/service/forums/questionanswer.do?threadId=1327087

You should first make sure you have the latest dld patch installed, the recommend one is: PHSS_39077

Then if that doesn't fix it, you need to use gdb to debug the problem.